-----------------------------------------------------------------------
-- Instantiation of a ngc defined 64/32 divider
--
-----------------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;
Library UNISIM;
use UNISIM.vcomponents.all;

entity div_seq_inst is
    port (
      A : IN std_logic_vector(255 downto 0);
      B : IN std_logic_vector(127 downto 0);
      clk : IN std_logic;
      ini : IN std_logic;          
      done : OUT std_logic;
      Q : OUT std_logic_vector(255 downto 0);
      R : OUT std_logic_vector(127 downto 0)
     );
end div_seq_inst;

architecture inst_arch of div_seq_inst is

    COMPONENT div_r16_sec
    PORT(
      A : IN std_logic_vector(255 downto 0);
      B : IN std_logic_vector(127 downto 0);
      clk : IN std_logic;
      ini : IN std_logic;
      done : OUT std_logic;
      Q : OUT std_logic_vector(255 downto 0);
      R : OUT std_logic_vector(127 downto 0)
      );
    end component;

begin

  Inst_div: div_r16_sec PORT MAP(
      A => A, B => B,
      clk => clk, ini => ini, done => done,
      Q => Q, R => R );
  
end inst_arch;


